Summary:	Plasma 5 Rosa Desktop Fresh config
Name:		plasma5-config-fresh
Version:	1.0
Release:	0.22
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://rosalinux.com/
Source0:	kdeglobals
Source1:	kwinrc
Source2:	ksmserverrc
Source3:	kscreenlockerrc
Source4:	dolphinrc
Source5:	plasmarc
# Modified versions of files from plasma5-desktop
Source100:	default-panel-layout.js
Source101:	default-desktop-layout.js
BuildRequires:	extra-cmake-modules
Requires:	plasma5-aurorae-theme-rosa
Requires:	plasma5-color-scheme-rosa
Requires:	rosa-icons
Provides:	plasma5-config
BuildArch:	noarch

%description
Plasma 5 Rosa Desktop Fresh config (KF5 files).

%files
%{_kde5_sysconfdir}/xdg/dolphinrc
%{_kde5_sysconfdir}/xdg/kdeglobals
%{_kde5_sysconfdir}/xdg/kscreenlockerrc
%{_kde5_sysconfdir}/xdg/ksmserverrc
%{_kde5_sysconfdir}/xdg/kwinrc
%{_kde5_sysconfdir}/xdg/plasmarc

#----------------------------------------------------------------------------

%package -n plasma5-config-plasma-fresh
Summary:	Plasma 5 Rosa Desktop Fresh config (Plasma files)
Group:		Graphical desktop/KDE
# Used in default panel layout.js
Requires:	plasma5-applet-digitalclock
Requires:	plasma5-applet-kicker
Requires:	plasma5-applet-minimizeall
Requires:	plasma5-applet-systemtray
Requires:	plasma5-applet-taskmanager
Provides:	plasma5-config-plasma
# defaultPanel layout.js was moved from plasma5-layout-template-default-panel
Conflicts:	plasma5-layout-template-default-panel < 5.5.2-3
Conflicts:	plasma5-config-fresh < 1.0-0.8
# desktop layout.js was moved from plasma5-shell-desktop
Conflicts:	plasma5-shell-desktop < 5.5.3-2

%description -n plasma5-config-plasma-fresh
Plasma 5 Rosa Desktop Fresh config (Plasma files).

%files -n plasma5-config-plasma-fresh
%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/layout.js
%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/layout.js

#----------------------------------------------------------------------------

%prep

%build

%install
mkdir -p %{buildroot}%{_kde5_sysconfdir}/xdg/
install -m 0644 %{SOURCE0} %{buildroot}%{_kde5_sysconfdir}/xdg/kdeglobals
install -m 0644 %{SOURCE1} %{buildroot}%{_kde5_sysconfdir}/xdg/kwinrc
install -m 0644 %{SOURCE2} %{buildroot}%{_kde5_sysconfdir}/xdg/ksmserverrc
install -m 0644 %{SOURCE3} %{buildroot}%{_kde5_sysconfdir}/xdg/kscreenlockerrc
install -m 0644 %{SOURCE4} %{buildroot}%{_kde5_sysconfdir}/xdg/dolphinrc
install -m 0644 %{SOURCE5} %{buildroot}%{_kde5_sysconfdir}/xdg/plasmarc

mkdir -p %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/
install -m 0644 %{SOURCE100} %{buildroot}%{_kde5_datadir}/plasma/layout-templates/org.kde.plasma.desktop.defaultPanel/contents/layout.js

mkdir -p %{buildroot}%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/
install -m 0644 %{SOURCE101} %{buildroot}%{_kde5_datadir}/plasma/shells/org.kde.plasma.desktop/contents/layout.js

%changelog

* Sun Jul 24 2016 valerol <valerol@ya.ru> 1.0-0.22
- (84e2e80) Adjust preview settings in Dolphin (add ffmpegthumbs and svgthumbnail to enabled by default plugins)

* Sun Jul 24 2016 valerol <valerol@ya.ru> 1.0-0.21
- (37b4e88) Fix default desktop layout template (see https://bugs.kde.org/show_bug.cgi?id=365989)

* Sat Jul 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.20
- (b00f8a0) Assign Meta+M shortrcut to minimizeall applet on panel

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.19
- (09a7e01) Use Firefox as default browser

* Thu Jul 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.18
- (46ec033) Disable grouping and sorting by default for taskmanager

* Thu Jul 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.17
- (9ead718) Move some lines in kdeglobals to another position

* Wed Jul 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.16
- (a85869a) Add plasmarc to files
- (Andrey Bondrov: 4d0b1c8) Add plasmarc to set default plasma theme to rosa-fresh

* Wed Jul 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.15
- (ce8f419) Set default LookAndFeelPackage to org.rosa.fresh.desktop

* Tue Jul 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.14
- (3c35c55) Show only icons on Dolphin's main toolbar

* Thu Jun 30 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.13
- (a6151ae) Add plasma5-applet-minimizeall to default panel layout

* Thu Jun 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.12
- (c58cf30) Adjust icon for libreoffice-writer

* Thu Jan 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.11
- (de9621d) Add dolphinrc to files
- (Andrey Bondrov: 02c9740) Add org.kde.plasma.desktop layout

* Thu Jan 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.10
- (5ba62d3) Add Dolphin, LibreOffice Writer and Firefox to default panel layout
- (Andrey Bondrov: 52de5d3) Add dolphinrc config

* Wed Jan 06 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.9
- (cba06f9) Add kscreenlockerrc config (set screen locker timeout to 60 minutes)

* Tue Jan 05 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.8
- (f62ac2a) Split KF5 and Plasma configs into 2 packages

* Mon Jan 04 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.7
- (854741c) Fix typo

* Sun Jan 03 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.6
- (26a18a0) Add layout.js for default panel

* Wed Dec 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.5
- (62de582) Add ksmserverrc to files
- (Andrey Bondrov: d15a81b) Add ksmserverrc config

* Thu Jun 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.4
- (3ec2a82) Don't show hidden files in dialogs by default

* Fri May 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.3
- (4e2eae0) Don't force XRender for compositing

* Fri May 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.2
- (0a273dc) Add default font settings for windows decorations
- (Andrey Bondrov: cc39d1a) Adjust default kwin settings

* Mon Mar 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-0.1
- (aebc11a) Add kwinrc to files section
- (Andrey Bondrov: 5b0be60) Provides plasma5-config
- (abondrov: 1fcd202) Add config for kwin
- (Andrey Bondrov: dfe0fbe) Require plasma5-aurorae-theme-rosa


